### Method

# Ggit Repository create_tree_builder

#### Declaration [src]

    GgitTreeBuilder*
    ggit_repository_create_tree_builder (
      GgitRepository* repository
      GError** error
    )

#### Description [src]

Create a new tree builder.

#### Return value

Type: `GgitTreeBuilder`

A new `GgitTreeBuilder`, or `NULL` if there was an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.